{% from "bootstrap5/form.html" import quick_form, render_field %}
{% extends "base.html" %}
{% block title %}SI570{% endblock %}
{% block content %}

<h2>SI570 report</h2>

{% if error %}
<div class="alert alert-danger">{{ error }}</div>
{% endif %}

<table class="table table-striped">
  <thead>
    <tr>
      <th scope="col">Name</th>
      <th scope="col">FOUT [MHz]</th>
      <th scope="col">RFREQ [MHz]</th>
      <th scope="col">FDCO [MHz]</th>
      <th scope="col">FXTAL [MHz]</th>
      <th scope="col">HS_DIV</th>
      <th scope="col">N1</th>      
    </tr>
  </thead>
  <tbody>

  	{% for label, params in data.items()  | sort %}
      {% if "error" in params %}
        <tr class="table-danger">
          <th scope="row">{{ label }}</th>
          <td colspan="6">{{params["error"]}}</td>
        </tr>
      {% else %}
        <tr>
          <th scope="row">{{ label }}</th>
          <td>{{ "{:.3f}".format(params["FOUT"]) }}</td>
          <td>{{ "{:.3f}".format(params["RFREQ"]) }}</td>
          <td>{{ "{:.3f}".format(params["FDCO"]) }}</td>
          <td>{{ "{:.3f}".format(params["FXTAL"]) }}</td>
          <td>{{ params["HS_DIV"] }}</td>
          <td>{{ params["N1"] }}</td>
        </tr>
      {% endif %}
    {% endfor %}

  </tbody>
</table>


<div class="container">
  <form method="post" class="mb-4" role=form>
    {{ form.hidden_tag() }}

    <div class="row">
      <div class="col-4 g-4">
        {{ render_field(form.device_id) }}
      </div>

      <div class="col-4 g-4">
        {{ render_field(form.freq) }}
      </div>      
    </div>

    <div class="row">
      <div class="col-auto g-4">
        <button class="btn btn-primary" type="submit" formaction="/si570/set">Set frequency</button>
      </div>
      <div class="col-auto g-4">
        <button class="btn btn-primary" type="submit" formaction="/si570/load">Load default settings</button>
      </div>
      <div class="col-auto g-4">
        <button class="btn btn-danger" type="submit" formaction="/si570/reset">Reset</button>
      </div>
    </div>
    
  </form>
</div>

{% endblock %}